import * as moment from 'moment';
import { BaseEntity, Column, CreateDateColumn, UpdateDateColumn } from 'typeorm';

export abstract class BaseModel extends BaseEntity {
  @Column({
    type: 'timestamptz',
    length: 50,
    default: () => moment().toDate(),
  })
  timestamp: string;

  @CreateDateColumn({
    type: 'timestamptz',
    length: 50,
    default: () => moment().toDate(),
  })
  created_at: string;

  @UpdateDateColumn({
    type: 'timestamptz',
    length: 50,
    default: () => moment().toDate(),
  })
  updated_at: string;
}
